node {
   def mvnHome
   def scannerHome         
   mvnHome = tool 'MAVEN_HOME'
   JavaHome = tool 'JAVA_HOME'
   scannerHome = tool 'SonarScanner'
    stage('CompileandPackage') {
        git 'https://gitlab.com/shayan.2121/multibranchproject.git'
        sh 'mvn clean package -DskipTests'
    }    
    stage('CodeAnalysis') {
        withEnv(["JAVA_HOME=$JavaHome"]) {
       withSonarQubeEnv("SonarCloud") {
                     sh "${tool("SonarScanner")}/bin/sonar-scanner"
        }
        }
    }
    stage('DeploytoTomcat') {
        sh label: '', script: 'cp $(pwd)/target/*.war /opt/tomcat/webapps/'
    }    
}
